> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an authorization group

> Updates a specified authorization group.



## OpenAPI

````yaml /openapi.json put /groups/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /groups/{id}:
    put:
      tags:
        - Authorization
      summary: Update an authorization group
      description: Updates a specified authorization group.
      operationId: UpdateGroup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/UpdateGroupDto'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/UpdateGroupDto'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/UpdateGroupDto'
      responses:
        '202':
          description: >-
            When request is accepted. Returns a hypermedia 'Link' object of the
            authorization group to be updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: When request is invalid.
        '404':
          description: When authorization group does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    UpdateGroupDto:
      type: object
      properties:
        principalIds:
          type: array
          items:
            type: string
          description: >-
            Principals that are members of the group. This can be either user
            ids or other group ids.
          nullable: true
          example:
            - 2595a645-94a2-46be-a60d-8410851a9671
            - 2595a645-94a2-46be-a60d-8410851a9671
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````